For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integration configs
      • GETGet integration config status
      • POSTCreate or update an integration config
      • DELDelete an integration config
Dashboard
LogoLogo
Runtype APIIntegration Configs

Delete an integration config

DELETE
/v1/integration-configs/:provider
DELETE
/v1/integration-configs/:provider
$curl -X DELETE https://api.runtype.com/v1/integration-configs/provider \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}
Removes the API key and configuration for the specified integration provider.
Was this page helpful?
Previous

List integrations

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

providerstringRequired
Integration provider name

Response

Integration config deleted
successboolean

Errors

401
Unauthorized Error
403
Forbidden Error